Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.cpu32
Class SystemBIOS

    java.lang.Object
      dioscuri.module.cpu32.AbstractHardwareComponent
          dioscuri.module.cpu32.SystemBIOS

All Implemented Interfaces:
  HardwareComponent, Hibernatable, IOPortCapable

    public class SystemBIOS

extends AbstractHardwareComponent
implements IOPortCapable

Author:
  Bram Lohman, Bart Kiers

Constructor Summary
`SystemBIOS(byte[] image, Clock clk)`
`SystemBIOS(java.lang.String imagefile)`

Method Summary
`void` | `acceptComponent(HardwareComponent component)`
`void` | `dumpState(java.io.DataOutput output)`
`byte[]` | `getImage()`
`boolean` | `initialised()`
`int` | `ioPortReadByte(int address)`
`int` | `ioPortReadLong(int address)`
`int` | `ioPortReadWord(int address)`
`int[]` | `ioPortsRequested()`
`void` | `ioPortWriteByte(int address, int data)`
`void` | `ioPortWriteLong(int address, int data)`
`void` | `ioPortWriteWord(int address, int data)`
`void` | `load(PhysicalAddressSpace physicalAddress)`
`void` | `loadState(java.io.DataInput input)`
`boolean` | `reset()`
`void` | `updateComponent(HardwareComponent component)`
`boolean` | `updated()`

Methods inherited from class dioscuri.module.cpu32.AbstractHardwareComponent
`timerCallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface dioscuri.module.cpu32.HardwareComponent
`timerCallback`

Constructor Detail

### SystemBIOS

    public SystemBIOS(byte[] image,
                      Clock clk)

Parameters:
  `image` -
  `clk` -

### SystemBIOS

    public SystemBIOS(java.lang.String imagefile)
               throws java.io.IOException

Parameters:
  `imagefile` -
Throws:
  `java.io.IOException`

Method Detail

### dumpState

    public void dumpState(java.io.DataOutput output)
                   throws java.io.IOException

  Specified by:
    `dumpState` in interface `HardwareComponent`
  Overrides:
    `dumpState` in class `AbstractHardwareComponent`
  Parameters:
    `output` -
  Throws:
    `java.io.IOException`

### loadState

    public void loadState(java.io.DataInput input)
                   throws java.io.IOException

  Specified by:
    `loadState` in interface `HardwareComponent`
  Overrides:
    `loadState` in class `AbstractHardwareComponent`
  Parameters:
    `input` -
  Throws:
    `java.io.IOException`

### ioPortsRequested

    public int[] ioPortsRequested()

  Specified by:
    `ioPortsRequested` in interface `IOPortCapable`
  Returns:
    -

### ioPortReadByte

    public int ioPortReadByte(int address)

  Specified by:
    `ioPortReadByte` in interface `IOPortCapable`
  Parameters:
    `address` -
  Returns:
    -

### ioPortReadWord

    public int ioPortReadWord(int address)

  Specified by:
    `ioPortReadWord` in interface `IOPortCapable`
  Parameters:
    `address` -
  Returns:
    -

### ioPortReadLong

    public int ioPortReadLong(int address)

  Specified by:
    `ioPortReadLong` in interface `IOPortCapable`
  Parameters:
    `address` -
  Returns:
    -

### ioPortWriteByte

    public void ioPortWriteByte(int address,
                                int data)

  Specified by:
    `ioPortWriteByte` in interface `IOPortCapable`
  Parameters:
    `address` -
    `data` -

### ioPortWriteWord

    public void ioPortWriteWord(int address,
                                int data)

  Specified by:
    `ioPortWriteWord` in interface `IOPortCapable`
  Parameters:
    `address` -
    `data` -

### ioPortWriteLong

    public void ioPortWriteLong(int address,
                                int data)

  Specified by:
    `ioPortWriteLong` in interface `IOPortCapable`
  Parameters:
    `address` -
    `data` -

### load

    public void load(PhysicalAddressSpace physicalAddress)

  Parameters:
    `physicalAddress` -

### getImage

    public byte[] getImage()

  Returns:
    -

### updated

    public boolean updated()

  Specified by:
    `updated` in interface `HardwareComponent`
  Overrides:
    `updated` in class `AbstractHardwareComponent`
  Returns:
    -

### updateComponent

    public void updateComponent(HardwareComponent component)

  Specified by:
    `updateComponent` in interface `HardwareComponent`
  Overrides:
    `updateComponent` in class `AbstractHardwareComponent`
  Parameters:
    `component` -

### initialised

    public boolean initialised()

  Specified by:
    `initialised` in interface `HardwareComponent`
  Overrides:
    `initialised` in class `AbstractHardwareComponent`
  Returns:
    -

### acceptComponent

    public void acceptComponent(HardwareComponent component)

  Specified by:
    `acceptComponent` in interface `HardwareComponent`
  Overrides:
    `acceptComponent` in class `AbstractHardwareComponent`
  Parameters:
    `component` -

### reset

    public boolean reset()

  Specified by:
    `reset` in interface `HardwareComponent`
  Overrides:
    `reset` in class `AbstractHardwareComponent`
  Returns:
    -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD